package com.caimei.controller;


import com.caimei.model.ResponseJson;
import com.caimei.model.vo.AddressSelectVo;
import com.caimei.service.AddressService;
import com.github.pagehelper.PageInfo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.apache.commons.lang3.StringUtils;
import org.springframework.web.bind.annotation.*;

import java.util.List;


/**
 * 收货地址Api
 *
 * @author : Charles
 * @date : 2021/7/2
 */
@Api(tags = "收货地址API")
@RestController
@RequiredArgsConstructor
@RequestMapping("/order/address")
public class AddressApi {

    private final AddressService addressService;

    /**
     * 收货地址下拉选项列表
     */
    @ApiOperation("收货地址下拉选项列表（旧：/club/province(city)(town)）")
    @ApiImplicitParams({
            @ApiImplicitParam(required = false, name = "type", value = "选项类型：0省（默认），1市，2区"),
            @ApiImplicitParam(required = false, name = "parentId", value = "父级地址Id")
    })
    @GetMapping("/select")
    public ResponseJson<List<AddressSelectVo>> getSelectAddress(Integer type, Integer parentId) {
        if (null == type) {
            type = 0;
        } else {
            if (null == parentId) {
                return ResponseJson.error("父级地址Id不能为空！", null);
            }
        }
        return addressService.getSelectAddress(type, parentId);
    }

}
